Subject: [bug#66576] Request for merging "rust-team" branch

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 Oct 2023 00:56:57 +0200

Hello!

Efraim Flashner <[email-masked]> skribis:

> IMO rust-team branch is ready to merge. We've updated rust to 1.70,
> librsvg to 2.56.4 and many new and updated packages. We've added a phase
> to the cargo-build-system to fail if it detects pre-built files and
> we've set the cargo-build-system to skip the test phase by default,
> allowing us to make sure that the packages have the correct inputs. With
> these changes I've gotten 100% of the packages built using the
> cargo-build-system to build successfully.

The ‘rust-team’ jobset at https://ci.guix.gnu.org is now at 78%, which
is actually better than ‘master’ (74%).  There are still ~6K
aarch64-linux builds queued but from the numbers it seems ready to be
merged.

(Besides, I’m curious about the answers to the questions Maxim asked
earlier in this thread regarding skipping tests.)

Ludo’.